## EPreviewPane

EPreviewPane

## Functions

GtkWidget * | e_preview_pane_new ()
EWebView * | e_preview_pane_get_web_view ()
ESearchBar * | e_preview_pane_get_search_bar ()
void | e_preview_pane_clear_alerts ()
void | e_preview_pane_show_search_bar ()

## Properties

ESearchBar * | search-bar | Read
EWebView * | web-view | Read / Write / Construct Only

## Signals

void | show-search-bar | Action

## Types and Values

struct | EPreviewPane

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EPreviewPane

## Implemented Interfaces

EPreviewPane implements AtkImplementorIface, GtkBuildable, GtkOrientable and EAlertSink.

## Description

## Functions

### e_preview_pane_new ()

    GtkWidget *
    e_preview_pane_new (EWebView *web_view);

### e_preview_pane_get_web_view ()

    EWebView *
    e_preview_pane_get_web_view (EPreviewPane *preview_pane);

### e_preview_pane_get_search_bar ()

    ESearchBar *
    e_preview_pane_get_search_bar (EPreviewPane *preview_pane);

### e_preview_pane_clear_alerts ()

    void
    e_preview_pane_clear_alerts (EPreviewPane *preview_pane);

### e_preview_pane_show_search_bar ()

    void
    e_preview_pane_show_search_bar (EPreviewPane *preview_pane);

## Types and Values

### struct EPreviewPane

    struct EPreviewPane;

## Property Details

### The `“search-bar”` property

      “search-bar”               ESearchBar *

Flags: Read

### The `“web-view”` property

      “web-view”                 EWebView *

Flags: Read / Write / Construct Only

## Signal Details

### The `“show-search-bar”` signal

    void
    user_function (EPreviewPane *epreviewpane,
                   gpointer      user_data)

Flags: Action